summaryrefslogtreecommitdiffstats
path: root/debian/tests/testsuite-live-python3
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-15 17:09:31 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-15 17:09:31 +0000
commit945553e635f10784600cd8b7ef343c22d35d9890 (patch)
treee589c41711c97f9db81d4e1b437d2287f4fe0cf0 /debian/tests/testsuite-live-python3
parentAdding upstream version 2.5.5. (diff)
downloadlibseccomp-debian.tar.xz
libseccomp-debian.zip
Adding debian version 2.5.5-1.debian/2.5.5-1debian
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'debian/tests/testsuite-live-python3')
-rw-r--r--debian/tests/testsuite-live-python313
1 files changed, 13 insertions, 0 deletions
diff --git a/debian/tests/testsuite-live-python3 b/debian/tests/testsuite-live-python3
new file mode 100644
index 0000000..f4fb094
--- /dev/null
+++ b/debian/tests/testsuite-live-python3
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+set -eu
+
+. debian/tests/common
+
+# make sure "python" points to python3 as this is not configurable
+# in the regression script
+mkdir python3env
+ln -s /usr/bin/python3 python3env/python
+
+echo "Running test suite ..."
+PATH="$(pwd)/python3env:$PATH" ./regression -T live -m python